Subject: Re: [PATCH net-next] net: dsa: Deal with non-existing PHY/fixed-link

From: Andrew Lunn <[email-masked]>
Date: Mon, 10 Jun 2019 23:11:33 +0200

> Hi Florian,
> 
> Can you give an example of when this is a valid use case, and why
> fixed-link is not appropriate?

A DSA link is used to connect two switches together. ZII devel b and c
are two boards which does this. Such links have the MACs connected
back to back, no PHYs involved. You can also connect a SoC interface
to the CPU port of a switch without having PHYs involved.

We have defined that CPU and DSA ports are always configured by the
driver to there maximum speed. Because of this, you often don't need a
fixed-link on CPU or DSA ports. So you will see most DT blobs don't
have any sort of PHY for the CPU or DSA ports.

You only need fixed-link when you need to slow a port down, e.g. a SoC
FE port connected to a switch 1G port.

    Andrew